public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: selinux-testsuite: skip module_load test when we can't run it
@ 2026-09-11 13:17 Ondrej Mosnacek
  0 siblings, 0 replies; only message in thread
From: Ondrej Mosnacek @ 2026-09-11 13:17 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 50a1ccb0d5edabe118cba7550632761681e602d6
            Author : Ondrej Mosnacek <omosnace@redhat.com>
            Date   : 2019-12-13T10:27:52+01:00
            Stats  : +6/-0 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/50a1ccb0d5edabe118cba7550632761681e602d6?branch=pr775-checkpolicy-revdeps

            Log:
            selinux-testsuite: skip module_load test when we can't run it

CKI mainline kernel packages don't currently provide the files necessary
to build kernel modules. Work around it by disabling the module_load
subtest when the files are missing.

Signed-off-by: Ondrej Mosnacek <omosnace@redhat.com>

---
diff --git a/kernel/selinux-testsuite/runtest.sh b/kernel/selinux-testsuite/runtest.sh
index c4a4618..d866b92 100755
--- a/kernel/selinux-testsuite/runtest.sh
+++ b/kernel/selinux-testsuite/runtest.sh
@@ -337,6 +337,12 @@ rlJournalStart
                     "Disable BPF tests on RHEL and non-x86_64 Fedora"
             fi
 
+            if ! [ -r "/lib/modules/$(uname -r)/build/Makefile" ]; then
+                # CKI mainline kernels don't ship with module build
+                # infrastructure just yet.
+                exclude_tests+=" module_load"
+            fi
+
             if [ -n "$exclude_tests" ] ; then
                 rlRun "sed -i '/^[^[:space:]]*:\(\| .*\)\$/i SUBDIRS:=\$(filter-out $exclude_tests, \$(SUBDIRS))' tests/Makefile" 0 \
                     "Exclude not applicable tests: $exclude_tests"

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:17 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:17 [tests/selinux] pr775-checkpolicy-revdeps: selinux-testsuite: skip module_load test when we can't run it Ondrej Mosnacek

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox